DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# SelectValue

Point Operation

## SYNOPSIS

`#include "dip_point.h"`

dip_Error dip_SelectValue ( in, out, value )

## DATA TYPES

integer, float

## FUNCTION

This function returns a binary image with value 1 where `in == value` and value 0 elsewhere.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_float` | `value` | Value to select

## SEE ALSO

`Threshold`, `NotZero`, `Compare`, `RangeThreshold`